# $Revision: 1.13 $, $Date: 2002/06/07 16:35:17 $
Summary:	Jabber messaging system server
Summary(pl):	Serwer systemu powiadamiania Jabber
Name:		jabber
Version:	1.4.2
Release:	3
License:	distributable
Group:		Applications/Communications
Source0:	http://download.jabber.org/dists/1.4/final/%{name}-%{version}.tar.gz
Source1:	http://docs.jabber.org/no-sgml/howto-1.4.html
Source2:	%{name}d.init
Source3:	%{name}d.sysconfig
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-ssl_dos_fix.patch
URL:		http://www.jabber.org/
BuildRequires:	pth-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jabber is an XML-based, client-server, open-source presence and
messaging system that uses a network of distributed servers to pass
data between servers and ultimately to Jabber clients.

%description -l pl
Jabber to oparty o XML, architektur klient-server oraz filozofi
open-source system powiadamiania, ktry wykorzystuje rozproszon sie
serwerw, do przekazywania danych pomidzy nimi i klientami Jabber.

%package devel
Summary:	Header and library files for Jabber development
Summary(pl):	Pliki nagwkowe i biblioteki dla tworzenia usug Jabber
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package provides the files necessary to develop Jabber
extensions.

%description devel -l pl
Ten pakiet zawiera pliki niezbdne do tworzenia rozszerze serwera
Jabber.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
cp -f %{SOURCE1} .

%build
JHOME="%{_localstatedir}/lib/%{name}"; export JHOME
%configure \
	--enable-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/jabberd,%{_sbindir},/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/spool \
	$RPM_BUILD_ROOT{/var/log/%{name},%{_libdir}/jabberd} \
	$RPM_BUILD_ROOT%{_includedir}/jabberd/lib

install jabberd/jabberd $RPM_BUILD_ROOT%{_sbindir}
install jabber.xml $RPM_BUILD_ROOT%{_sysconfdir}/jabberd
install xdb_file/xdb_file.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install pthsock/pthsock_client.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install jsm/jsm.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install dialback/dialback.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install dnsrv/dnsrv.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install jabberd/*.h $RPM_BUILD_ROOT%{_includedir}/jabberd
install jabberd/lib/*.h $RPM_BUILD_ROOT%{_includedir}/jabberd/lib
install platform-settings $RPM_BUILD_ROOT%{_libdir}/jabberd/
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/jabberd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" = 1 ] ; then
	if [ ! -n "`getgid jabber`" ]; then
		%{_sbindir}/groupadd -f -g 74 jabber
	fi
	if [ ! -n "`id -u jabber 2>/dev/null`" ]; then
		%{_sbindir}/useradd -g jabber -d /var/lib/jabber -u 74 -s /bin/false jabber 2>/dev/null
	fi
fi

%post
/sbin/chkconfig --add jabberd
if [ -r /var/lock/subsys/jabberd ]; then
        /etc/rc.d/init.d/jabberd restart >&2
else
        echo "Run \"/etc/rc.d/init.d/jabberd start\" to start Jabber server."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jabberd ]; then
		/etc/rc.d/init.d/jabberd stop >&2
	fi
	/sbin/chkconfig --del jabberd
fi

%postun
# If package is being erased for the last time.
if [ "$1" = "0" ]; then
	%{_sbindir}/userdel jabber 2> /dev/null
	%{_sbindir}/groupdel jabber 2> /dev/null
fi

%files
%defattr(644,root,root,755)
%doc README UPGRADE howto*.html pthsock/README*
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/jabberd
%{_libdir}/jabberd/*.so
%attr(771,root,jabber) %{_localstatedir}/lib/%{name}
%attr(770,root,jabber) /var/log/%{name}
%dir %{_sysconfdir}/jabberd
%attr(640,root,jabber) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/jabberd/*.xml
%attr(755,root,root) /etc/rc.d/init.d/jabberd
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/jabberd

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/jabberd/platform-settings

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jabber.spec,v $
Revision 1.13  2002/06/07 16:35:17  jajcus
- Release: 3
- minor security fix, prevents DoS attact against jabber server

Revision 1.12  2002/05/28 06:23:44  kloczek
- use new %doc.

Revision 1.11  2002/05/28 06:02:28  jajcus
- Release: 2; STBR

Revision 1.10  2002/04/25 16:38:16  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/09 15:51:37  kloczek
- spec adapterized and some cosmetics.

Revision 1.7  2002/02/08 21:12:11  serek
- updated to long awaiting 1.4.2 version, STBR.

Revision 1.6  2002/02/08 16:03:40  jajcus
- s/jabber/jabberd/ in libdir nad sysconfdir

Revision 1.5  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/26 10:37:16  jajcus
- updates for new init script

Revision 1.3  2001/12/20 19:25:54  jajcus
- fixes for building modules in other packages

Revision 1.2  2001/12/20 10:01:10  qboosh
- cosmetics, pl spelling

Revision 1.1  2001/12/19 20:21:48  jajcus
- initial spec
